Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354622 - [DOCS] Upgrade portion of 3.2 documentation does not list NetworkManager as requirement
Summary: [DOCS] Upgrade portion of 3.2 documentation does not list NetworkManager as r...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.2.1
Hardware: All
OS: All
low
high
Target Milestone: ---
: ---
Assignee: Ashley Hardin
QA Contact: Anping Li
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 18:21 UTC by jritenou
Modified: 2016-08-23 17:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 17:54:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description jritenou 2016-07-11 18:21:33 UTC
Document URL: https://access.redhat.com/documentation/en/openshift-enterprise/3.2/installation-and-configuration/chapter-3-upgrading

Section Number and Name: 3.2.2. Preparing for an Automated Upgrade

Describe the issue: Customer ran into issues with the upgrade process from 3.1 to 3.2 as their baselines install.  Skipping straight to the upgrade portion of the install/config guide, they didn't find out the NM is a prereq for 3.2 until after a few unsuccessful upgrade attempts. 

Suggestions for improvement:  It would be good to call out the prerequirements in the upgrade section for those that jump straight that part, or land there from a search engine.

Additional information:

Comment 1 jritenou 2016-07-11 18:24:05 UTC
Clarification - First line in description should read "Customer ran into issues with the upgrade process from 3.1 to 3.2 as their baselines install does not include NetworkManager"

Comment 2 Ashley Hardin 2016-07-19 20:52:07 UTC
Work in progress: https://github.com/openshift/openshift-docs/pull/2520

Comment 3 Ashley Hardin 2016-08-04 15:42:52 UTC
Still in need of QE review. Thanks!

Comment 4 Anping Li 2016-08-15 02:51:17 UTC
Yes, It looks good to me.

Comment 5 openshift-github-bot 2016-08-15 11:13:53 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/3ccd14b692ad5d7ecb2aa098a7d9dfbaab506264
Bug 1354622, added Important boxes  about meeting prerequisites before attempting upgrade

https://github.com/openshift/openshift-docs/commit/4d627bb1861dc7b69fe4cd48debf15bbcd688477
Merge pull request #2520 from ahardin-rh/intall-with-networkmanager

Bug 1354622, added Important boxes about meeting prerequisites before upgrade


Note You need to log in before you can comment on or make changes to this bug.